package com.mdd.admin.controller.decorate;

import com.mdd.admin.aop.Log;
import com.mdd.admin.service.IDecoratePageService;
import com.mdd.admin.validate.decorate.DecoratePageValidate;
import com.mdd.admin.vo.decorate.DecoratePageVo;
import com.mdd.common.core.AjaxResult;
import com.mdd.common.validator.annotation.IDMust;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"api/decorate/pages"})
@Api(
   tags = {"装修页面管理"}
)
public class DecoratePagesController {
   @Resource
   IDecoratePageService iDecoratePageService;

   @GetMapping({"/detail"})
   @ApiOperation("页面装修详情")
   public AjaxResult<DecoratePageVo> detail(@Validated @IDMust @RequestParam("id") Integer id) {
      DecoratePageVo vo = this.iDecoratePageService.detail(id);
      return AjaxResult.success(vo);
   }

   @Log(
      title = "页面装修保存"
   )
   @PostMapping({"/save"})
   @ApiOperation("页面装修保存")
   public AjaxResult<Object> save(@RequestBody DecoratePageValidate decoratePageValidate) {
      this.iDecoratePageService.save(decoratePageValidate);
      return AjaxResult.success();
   }
}
